Subject: bug#35497: [PATCH v4] Don't rewrite buffer contents after saving by rename

From: Jonathan Tomer <[email-masked]>
Date: Mon, 6 May 2019 13:45:24 -0700

On Fri, May 3, 2019 at 12:52 AM Michael Albinus <[email-masked]>
wrote:

> Jonathan Tomer <[email-masked]> writes:
>
> Hi Jonathan,
>
> I still get an error with the Tramp test:
>
> --8<---------------cut here---------------start------------->8---
> Test tramp-test10-write-region-file-precious-flag condition:
>     (file-error "Copying directly failed, see buffer `*tramp/mock detlef*'
> for details.")
>    FAILED  2/2  tramp-test10-write-region-file-precious-flag (0.995086 sec)
> --8<---------------cut here---------------end--------------->8---
>

This is the form of the errors I get when the test fails intentionally
(i.e. because I un-fix the bug and re-run the test). I've rewritten the
test to fail properly when it's supposed to, but also left the unstable tag
on it.

> You might keep it as it is, but mark it unstable:
>
> > +(ert-deftest tramp-test10-write-region-file-precious-flag ()
> > +  "Check that `file-precious-flag' is respected with Tramp in use."
> > +  :tags '(:unstable)
>
> I will check then what's up.
>
> Looks to me like you haven't signed yet the FSF papers. This is
> necessary to contribute to Emacs. Are you willing to sign them? You
> could read about this at <
> https://www.gnu.org/prep/maintain/html_node/Copyright-Papers.html>.
>

As eliz@ notes, I cannot sign the personal form of the copyright assignment
while I work for Google, since I have no copyright to assign, but Google's
assignment should suffice.

> Best regards, Michael.